!include "MUI2.nsh"


outFile "RdsConsole Installer.exe"

Name "Resara Server Admin Console"
VIProductVersion "1.0.0.0"
VIAddVersionKey /LANG=${LANG_ENGLISH} "ProductName" "Resara Server Admin Console"
VIAddVersionKey /LANG=${LANG_ENGLISH} "ProductVersion" "1.0.0-alpha1"
VIAddVersionKey /LANG=${LANG_ENGLISH} "Comments" "The admin console for Resara Server"
VIAddVersionKey /LANG=${LANG_ENGLISH} "CompanyName" "Resara LLC"
VIAddVersionKey /LANG=${LANG_ENGLISH} "FileDescription" "Resara Server Admin Console Installer"
VIAddVersionKey /LANG=${LANG_ENGLISH} "FileVersion" "1.0.0-alpha1"


RequestExecutionLevel user

!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES
!define MUI_FINISHPAGE_NOAUTOCLOSE
!define MUI_FINISHPAGE_RUN
!define MUI_FINISHPAGE_RUN_CHECKED
!define MUI_FINISHPAGE_RUN_TEXT "Run Resara Server Admin Console"
!define MUI_FINISHPAGE_RUN_FUNCTION "LaunchLink"
!define MUI_FINISHPAGE_TEXT "Resara Server Admin Console has been installed. If you have a Resara Server on your network, the Admin Console should find it automaticaly"
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_UNPAGE_CONFIRM
!insertmacro MUI_UNPAGE_INSTFILES

InstallDir '$PROGRAMFILES\Resara Server Admin Console\'
#ShowInstDetails show

Function LaunchLink
  ExecShell "" "$SMPROGRAMS\Resara\Resara Server Admin Console.lnk"
FunctionEnd

section

	setOutPath $INSTDIR
	
	file rdsconsole.exe
	file kcontrol.ico
	file msvcp100d.dll
	file msvcr100d.dll
	file QtCored4.dll
	file QtGuid4.dll
	file QtNetworkd4.dll
	file qtrpc2.dll
	file rdsclient.dll
	file /r icons
		
	IfFileExists $SYSDIR\dnssd.dll endInstall beginInstall
    Goto endInstall
    beginInstall:
    MessageBox MB_OK "Your system does not appear to have Bonjour installed.$\n$\nPress OK to install it."
    file BonjourPSSetup.exe
    ExecWait "$INSTDIR\BonjourPSSetup.exe"
	endInstall:
	
	createDirectory "$SMPROGRAMS\Resara\"
	createShortCut "$SMPROGRAMS\Resara\Resara Server Admin Console.lnk" "$INSTDIR\rdsconsole.exe" "p" "$INSTDIR\kcontrol.ico" 
	createShortCut "$DESKTOP\Resara Server Admin Console.lnk" "$INSTDIR\rdsconsole.exe" "p" "$INSTDIR\kcontrol.ico" 
	createShortCut "$SMPROGRAMS\Resara\Uninstall.lnk" "$INSTDIR\uninstaller.exe"
	
	writeUninstaller $INSTDIR\uninstaller.exe

	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\rdsconsole" \
                 "DisplayName" "Resara Server Admin Console"
	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\rdsconsole" \
                 "UninstallString" "$\"$INSTDIR\uninstaller.exe$\""
	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\rdsconsole" \
                 "DisplayIcon" "$\"$INSTDIR\kcontrol.ico$\""
	
sectionEnd

section "Uninstall"
 
	RMDir /r "$INSTDIR\"
	RMDir /r "$SMPROGRAMS\Resara\"
	delete "$DESKTOP\Resara Server Admin Console.lnk"
	
	DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\rdsconsole"
	
sectionEnd